#if !defined(__dlgaddr_hpp)
#define __dlgaddr_hpp

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\edit.h>
#include <owl\button.h>

//sockdemo include files:
#include "sockdemo.rh" 

//owlsock include files:
#include "hostmgr.hpp"

class DlgConvertAddress : public TDialog {
public:
   enum    nState{nIdle, nWaitingForAddress} myPresentState;

   TEdit   *editNameCtrl;
   TEdit   *editAddressCtrl;
   TStatic *staticStatus;
   TButton *btnConvert;
   short    bBusyDoingLookup;
   HostInfoManager myHostInfoManager;

   DlgConvertAddress(TWindow *parent, TResId resId = IDD_CONVERT_ADDRESS, TModule *module = 0);
   void SetupWindow();
   void CmBtnConvert();
   void CmOk();
   void GoToIdleState();
   void GoToWaitingForAddressState();
   LRESULT DoNotification(WPARAM, LPARAM lParam);
   DECLARE_RESPONSE_TABLE(DlgConvertAddress);
};

#endif  // __dlgaddr_hpp
