#if !defined(__dlgdgrm_hpp)
#define __dlgdgrm_hpp

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\dialog.h>
#include <owl\edit.h>

//sockdemo files:
#include "sockdemo.rh"

//owlsock files:
#include "hostmgr.hpp"
#include "socksub.hpp"

class DlgSendDatagram : public TDialog {
public:
   enum              nState{nIdle, nWaitingForAddress, nSendingData} myPresentState;

   TEdit*            editAddressSend;
   TEdit*            editAddressReceive;
   TEdit*            editDataSend;
   TEdit*            editDataReceive;
   TEdit*            editPort;
   TStatic*          staticStatus;

   DatagramSocket*   myDatagramSocket;
   char              szDataToSend[256];
   short             bDataSent;
   INetSocketAddress sAddressToSendTo;
   HostInfoManager   myHostInfoManager;

   DlgSendDatagram(TWindow *parent, TResId resId = IDD_DATAGRAM, TModule *module = 0);
  ~DlgSendDatagram();
   void SetupWindow();
   void CmBtnSend();
   void CmBtnSendClear();
   void CmBtnReceiveClear();
   void CmOk();
   void SendData();
   void ReadData();
   void GoToIdleState();
   void GoToWaitingForAddressState();
   void GoToSendingDataState();
   LRESULT DoHostNotification(WPARAM, LPARAM lParam);
   LRESULT DoSocketNotification(WPARAM, LPARAM lParam);
   DECLARE_RESPONSE_TABLE(DlgSendDatagram);
};

#endif  // __dlgdgrm_hpp
