#if !defined(__dlgsrvc_hpp)
#define __dlgsrvc_hpp

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\edit.h>
#include <owl\button.h>

//sockdemo files
#include "sockdemo.rh"

//owlsock files:
#include "servmgr.hpp"

class DlgConvertService : public TDialog {
public:
   enum    nState{nIdle, nWaitingForService} myPresentState;

   TEdit   *editService;
   TEdit   *editProtocol;
   TEdit   *editPort;
   TStatic *staticStatus;
   TButton *btnConvert;
   short    bBusyDoingLookup;
   ServiceManager myServiceManager;

   DlgConvertService(TWindow *parent, TResId resId = IDD_GET_SERVICE_PORT, TModule *module = 0);
   void SetupWindow();
   void CmBtnConvert();
   void CmOk();
   void GoToIdleState();
   void GoToWaitingForServiceState();
   LRESULT DoNotification(WPARAM, LPARAM lParam);
   DECLARE_RESPONSE_TABLE(DlgConvertService);
};

#endif  // __dlgsrvc_hpp
