#if !defined(__dlglstn_hpp)
#define __dlglstn_hpp

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\dialog.h>
#include <owl\edit.h>
#include <owl\button.h>

//sockdemo include files:
#include "sockdemo.rh"

//owlsock include files:
#include "socksub.hpp"

class DlgListen : public TDialog {
public:
   TEdit*        editPort;
   TStatic*      staticStatus;
   TButton*      buttonListen;

   enum          nState{nIdle, nListening} myPresentState;
   StreamSocket* myStreamSocket;

   DlgListen(TWindow *parent, TResId resId = IDD_LISTEN, TModule *module = 0);
  ~DlgListen();
   void SetupWindow();
   short SpawnChildConnection();
   void GoToIdleState();
   void GoToListeningState();
   void CmBtnListen();
   void CmOk();
   LRESULT DoSocketNotification(WPARAM, LPARAM lParam);
   DECLARE_RESPONSE_TABLE(DlgListen);
};

#endif  // __dlglstn_hpp
